-- Purely for list returning functions.

local function ProcessList(inval,nextval,...) 
--      printnote("PL     ProcessList  " .. tostring(inval),nextval,...)
        if NotNilToBool(inval) or NotNilToBool(nextval) then
                return ExecSelect({IsDataLogicToBool,inval},{ExecuteTable,inval},{Return,inval}),ProcessList(nextval
,...) 
        end 
end

local function RecursiveProcessList(inval,nextval,...)
        if NotNilToBool(inval) or NotNilToBool(nextval) then 
--              printnote("RPL    RecursiveProcessList " .. tostring(inval),nextval,...) 
                return ExecSelect({IsDataLogicToBool,inval},{RecursiveProcessList,TableUnpack(inval)},{Return,inval}),RecursiveProcessList(nextval,...)
        end 
end
